autofs-5.1.6 - samples/ldap.schema fix

From: Michael Peek <peek@nimbios.org>

This bug starts with version 5.1.3, and continues up to and including
the latest 5.1.6.  Version 5.1.2 was fine.

When slapd is invoked while including the sample LDAP schema file
autofs.schema, slapd will crash with the following error:

5f359370 /<path-to>/autofs.schema: line 14 attributetype:
AttributeType inappropriate matching rule: "caseExactMatch"

The problem is on line 13, which reads:

  EQUALITY caseExactMatch

It should read:

  EQUALITY caseExactIA5Match

Attached is a patch that will make the necessary change to
samples/autofs.schema that works for all versions 5.1.3 to 5.1.6.

Signed-off-by: Michael Peek <peek@nimbios.org>
Signed-off-by: Ian Kent <raven@themaw.net>
---
 CHANGELOG             |    1 +
 samples/autofs.schema |    2 +-
 2 files changed, 2 insertions(+), 1 deletion(-)

diff --git a/CHANGELOG b/CHANGELOG
index be221af2..09d44998 100644
--- a/CHANGELOG
+++ b/CHANGELOG
@@ -16,6 +16,7 @@ xx/xx/2020 autofs-5.1.7
 - configure.in: Do not append parentheses to PKG_PROG_PKG_CONFIG.
 - Use PKG_CHECK_MODULES to detect the libxml2 library.
 - fix ldap sasl reconnect problem.
+- samples/ldap.schema fix.
 
 07/10/2019 autofs-5.1.6
 - support strictexpire mount option.
diff --git a/samples/autofs.schema b/samples/autofs.schema
index 07e23b48..bfde16a5 100644
--- a/samples/autofs.schema
+++ b/samples/autofs.schema
@@ -10,7 +10,7 @@
 
 attributetype ( 1.3.6.1.4.1.2312.4.1.2 NAME 'automountInformation'
 	DESC 'Information used by the autofs automounter'
-	EQUALITY caseExactMatch
+	EQUALITY caseExactIA5Match
 	SYNTAX 1.3.6.1.4.1.1466.115.121.1.26 SINGLE-VALUE )
 
 objectclass ( 1.3.6.1.4.1.2312.4.2.3 NAME 'automount' SUP top STRUCTURAL
